{{ define "schema-dot-org" }}

<!--
<script type="application/ld+json">
{
  "@context": "http://schema.org",
  "@type": "Blog",
  {{- /* Google recommends the headline be no more than 110 characters */}}
  "headline": {{ substr .Site.Title 0 110 }},
  "url" : {{ printf "%s" .Permalink }},
  "author": {
    "@type": "Person",
    "name": {{ .Site.Params.author }}
  },
  {{- $ISO8601 := "2006-01-02T15:04:05-07:00" }}
  {{- if not .Date.IsZero }}
  "dateModified": {{ .Date.Format $ISO8601 }},
  {{- end }}
  {{- /* all of the site's categories/tags, from Hugo's tpl/template_embedded.go */}}
 
  {{- $keywords := slice }}{{ range $plural, $terms := .Site.Taxonomies }}{{ range $term, $val := $terms }}{{ $keywords = $keywords | append $term }}{{ end }}{{ end }}
  "keywords": {{ delimit $keywords ", " }} 
  {{- with .Site.Params.description -}}
  ,
  "description": {{- . -}}
  {{- end }}
}
</script>
-->
{{ end }}

{{ define "title" }}{{ .Title | markdownify }} | {{ .Site.Title }}{{ end }}

{{ define "main" }}
{{ if not .IsHome}}
<h1>{{ .Title }}</h1>
{{end}}
{{ .Content }}

{{ $truncate := default true .Site.Params.truncate }}
{{ range .Paginator.Pages }}
{{ if $truncate }}
{{ .Render "summary" }}
{{ else }}
{{ .Render "content" }}
{{ end }}
{{ end }}

{{ if or (.Paginator.HasPrev) (.Paginator.HasNext) }}
{{ partial "pagination.html" . }}
{{ end }}

{{ end }}

{{- /* vim: set ts=2 sw=2 et: */}}
